<?php

/** @var \App\Models\Pro $hcpPro */
/** @var \App\Models\Pro $pro */
/** @var \App\Models\Note $note */

if(!@$hcpPro) {
    if(@$note) {
        $hcpPro = $note->hcpPro;
    }
    else {
        $hcpPro = $pro; // should never get here
    }
}

$canvasData = [];
if ($patient->canvas_data) {
    $canvasData = json_decode($patient->canvas_data, true);
    if(!isset($canvasData["lifestyle_rx_review"])) $canvasData["lifestyle_rx_review"] = [];
    if(!isset($canvasData["lifestyle_rx_review"][$hcpPro->id])) {
        $canvasData["lifestyle_rx_review"][$hcpPro->id] = [
            'physical_activity' => [
                'type' => '',
                'frequency' => '',
                'time' => '',
                'intensity' => '',
                'enjoyment' => '',
            ],
            'barriers' => '',   // free text
            'assessment' => '', // Inactive, Insufficiently Active, Active, Highly Active
        ];
    }

    // if lifestyle_rx_update available, prefill with that
    if (isset($canvasData["lifestyle_rx_update"]) &&
        isset($canvasData["lifestyle_rx_update"][$hcpPro->id]) &&
        isset($canvasData["lifestyle_rx_update"][$hcpPro->id]['prescription'])) {
        $canvasData["lifestyle_rx_review"][$hcpPro->id]['adherence'] = $canvasData["lifestyle_rx_update"][$hcpPro->id]['prescription'];
    }

    $canvasData = $canvasData['lifestyle_rx_review'][$hcpPro->id];

}
$contentData = $canvasData;
